#!/bin/sh
#
# Irmp3 script execution example
#
# Command line parameters passed to any script executed by irmp3:
#
# $1 Temporary message file name
#
#    Information written to this file will be treat by irmp3.
#       First line:          will be diplayed on lcd after execution
#       All Following lines: will be treat as multiple normal irmp3 commands
#
# $2 Current browser's working directory
#
# $3 Current browser's cursor selection
#
# $4 Current browser's cursor selection type (one of the following key words)
#
#       keyword    meaning
#       ========   ========================
#
#       dir        directory
#       audio      music file
#       list       playlist file
#       listlist   playlist-list file
#       exec       script file
#       other      unknown file type
#
###############################################################################

#Get message passing file name
MSGFILE="${1}"

#Get current cursor selection
MOUNTPOINT="${2}/${3}"

#check if current cursor selection is a directory
if [ "${4}" = "dir" ]; then

    #try to mount current directory (as specified in /etc/fstab)
#   if !mount "${MOUNTPOINT}"; then
	echo "Mount error" > "${MSGFILE}"
#   else
	echo "Mount done" > "${MSGFILE}"
#   fi

else
    echo "Not a mount point" > "${MSGFILE}"
fi

#exit with return code "0"
exit 0
